Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/change_api_key_name \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 2453,
  "method": "private/change_api_key_name",
  "params": {
    "name": "KeyName3",
    "id": 3
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/change_api_key_name"

payload = {
    "jsonrpc": "2.0",
    "id": 2453,
    "method": "private/change_api_key_name",
    "params": {
        "name": "KeyName3",
        "id": 3
    }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 2453,
    method: 'private/change_api_key_name',
    params: {name: 'KeyName3', id: 3}
  })
};

fetch('https://test.deribit.com/api/v2/private/change_api_key_name', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 2453,
  "result": {
    "timestamp": 1560242482758,
    "max_scope": "account:read_write block_trade:read trade:read_write wallet:read_write",
    "id": 3,
    "enabled": true,
    "default": false,
    "client_secret": "B6RsF9rrLY5ezEGBQkyLlV-UC7whyPJ34BMA-kKYpes",
    "client_id": "1sXMQBhM",
    "name": "NewKeyName"
  }
}

Query Parameters

id
integer
required

API key ID

Example:

1

name
string
required

Name of key (only letters, numbers and underscores allowed; maximum length - 16 characters)

Example:

"TestName"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request